ApplicationIntegrations#

class sp_api.api.ApplicationIntegrations(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)#

ApplicationIntegrations SP-API Client :link:

With the AppIntegrations API v2024-04-01, you can send notifications to Amazon Selling Partners and display the notifications in Seller Central.

create_notification(self, **kwargs) ApiResponse#

Create a notification for sellers in Seller Central.

Usage Plan:

Rate (requests per second)

Burst

1

5

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

ApplicationIntegrations().create_notification()
Parameters:

body – CreateNotificationRequest | required The request body for the createNotification operation.

Returns:

ApiResponse

delete_notifications(self, **kwargs) ApiResponse#

Remove your application’s notifications from the Appstore notifications dashboard.

Usage Plan:

Rate (requests per second)

Burst

1

5

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

ApplicationIntegrations().delete_notifications()
Parameters:

body – DeleteNotificationsRequest | required The request body for the deleteNotifications operation.

Returns:

ApiResponse

record_action_feedback(self, notificationId, **kwargs) ApiResponse#

Records the seller’s response to a notification.

Usage Plan:

Rate (requests per second)

Burst

1

5

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

ApplicationIntegrations().record_action_feedback("value")
Parameters:
  • notificationId – object | required A notificationId uniquely identifies a notification.

  • body – RecordActionFeedbackRequest | required The request body for the recordActionFeedback operation.

Returns:

ApiResponse